<template lang="">
    <navbar/>
  <strong
    ><h1 class="mt-8 text-2xl md:text-2xl lg:text-3xl" align="center">
      Ingresar Alumno
    </h1>
  </strong>
  <div align="right">
    <div
      class="tooltip tooltip-left tooltip-primary mr-4 md:mr-10 w-10 md:w-14"
      data-tip="Cambiar a eliminar alumno"
    >
      <a v-bind:href="'/eliminarAlumno/' + curso">
        <img src="\src\assets\ADM_CURSOS\switchIzq.png" />
      </a>
    </div>
  </div>
  <h1 class="text-xl lg:text-2xl mb-6" align="center">
    Curso: {{ this.curso }}
  </h1>
  <div align="left">
    <div
      class="tooltip tooltip-primary ml-56 md:ml-64 w-10 md:w-12"
      data-tip="Volver al menu de administracion de cursos"
    >
      <a v-bind:href="'/homeAdministracion/' + curso">
        <img src="\src\assets\ADM_CURSOS\return.png" />
      </a>
    </div>
  </div>
  <div align="right">
    <div
      class="tooltip tooltip-left tooltip-primary mr-5 md:mr-80 w-10 md:w-14"
      data-tip="Haga doble click en un campo de la tabla para ingresar el alumno al curso seleccionado"
    >
      <img src="\src\assets\ADM_CURSOS\iconoPregunta.png" />
    </div>
  </div>
  <div align="center">
    <div class="overflow-x-scroll scrollbar h-96 mt-2 mb-10 w-11/12 md:w-1/2">
      <table class="table table-compact border-collapse">
        <thead>
          <tr>
            <th>Nombre</th>
            <th>Apellido</th>
            <th>Correo</th>
          </tr>
        </thead>
        <tbody v-for="alumno in alumnos" :key="alumno">
          <tr
            @dblclick="
              enviarId(
                alumno.usuId,
                alumno.nombre,
                alumno.apellidoPaterno,
                alumno.apellidoMaterno
              )
            "
            style="cursor: pointer"
            class="hover"
          >
            <td>{{ alumno.nombre }}</td>
            <td>{{ alumno.apellidoPaterno }} {{ alumno.apellidoMaterno }}</td>
            <td>{{ alumno.correo }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
  <Footer/>
</template>

<script>
import axios from "axios";
import navbar from "../../components/Navbar.vue";
import Footer from "../../components/Footer.vue";
export default {
  components: {navbar,Footer},
  data() {
    return {
      curso: this.$route.params.id,
      alumnos: [],
    };
  },
  mounted() {
    let vue = this;
    axios
      .get(
        "administracionCursos/mostrarAlumnos/",{
            headers: {
                    Authorization: localStorage.getItem('auth')
                },
      }
      )
      .then(function (response) {
        vue.alumnos = response.data;
        console.log(vue.alumnos);
      });
  },
  methods: {
    enviarId(id, nombre, apellidoPaterno, apellidoMaterno) {
      var respuesta = confirm(
        "Ingresar al curso " +
          this.curso +
          " el alumno " +
          nombre +
          " " +
          apellidoPaterno +
          " " +
          apellidoMaterno
      );
      if (respuesta) {
        axios({
          method: "PUT",
          url:
            "administracionCursos/"+this.curso+"/asignarAlumnoCurso/" +
            id,
          idSeleccionado: id,
          headers: {
                    Authorization: localStorage.getItem('auth')
                },
        })
          .then((res) =>
            alert(
              "Se ha ingresado el alumno " +
                nombre +
                " " +
                apellidoPaterno +
                " " +
                apellidoMaterno +
                " al curso " +
                this.curso
            )
          )
          .catch((err) => console.log(err));
      }
    },
  },
};
</script>
